## Index

### Enumerations

- IconSymbol

### Classes

- IconImpl

### Interfaces

- IconOwnProps

### Type aliases

- IconProps

### Variables

- Icon
- STATIC_PATH

### Functions

- getIconHref
- styles

## Type aliases

### IconProps

IconProps: HTMLProps<SVGSVGElement> & IconOwnProps

- Defined in components/Icon/index.tsx:17

## Variables

### Const Icon

Icon: IconImpl = injectSheet(styles)(IconImpl) as typeof IconImpl

- Defined in components/Icon/index.tsx:53

### Const STATIC_PATH

STATIC_PATH: string = path.join(__dirname, '../../../static')

- Defined in components/Icon/index.tsx:48

## Functions

### getIconHref

- getIconHref(symbolId: IconSymbol): string

- - Defined in components/Icon/index.tsx:49

  #### Parameters

  - ##### symbolId: IconSymbol

  #### Returns string

### Const styles

- styles(theme: ThemeTypes): object

- - Defined in components/Icon/index.tsx:19

  #### Parameters

  - ##### theme: ThemeTypes

  #### Returns object

  - ##### icon: object

    - ##### fill: any

    - ##### height: any

    - ##### width: any

Generated using TypeDoc